Computer Security
[EN] securityvulns.ru no-pyccku


perl Locale::Maketext code execution
Published:10.02.2014
Source:
SecurityVulns ID:13559
Type:library
Threat Level:
6/10
Description:It's possible to call external functions on template compilation
Affected:PERL : perl 5.17
CVE:CVE-2012-6329 (The _compile function in Maketext.pm in the Locale::Maketext implementation in Perl before 5.17.7 does not properly handle backslashes and fully qualified method names during compilation of bracket notation, which allows context-dependent attackers to execute arbitrary commands via crafted input to an application that accepts translation strings from users, as demonstrated by the TWiki application before 5.1.3, and the Foswiki application 1.0.x through 1.0.10 and 1.1.x through 1.1.6.)
Original documentdocumentUBUNTU, [USN-2099-1] Perl vulnerability (10.02.2014)

About | Terms of use | Privacy Policy
© SecurityVulns, 3APA3A, Vladimir Dubrovin
Nizhny Novgorod